#259 ptlib compile fix for Bison 3.0.2

Unstable_(example)
closed-accepted
nobody
None
5
2014-02-06
2013-12-15
Dan Fandrich
No

The attached patch fixes the yyparse parameter compile issue on ptlib 2.10.11 on Linux using Bison 3.0.2, without having to patch bison.simple (which, despite what it says in ReadMe.txt, doesn't even exist on Bison 3.0.2).

1 Attachments

Related

Patches: #259

Discussion

  • Eugen Dedu
    Eugen Dedu
    2014-01-03

    I confirm that bison 3.0 yields an error and that this patch fixes it. I think it should be committed.

     
  • I no longer even have that version on my machine. If you can confirm it is backward compatible with bison 2.6 which is still pretty common, then I am happy to commit it.

     
  • Dan Fandrich
    Dan Fandrich
    2014-02-06

    I applied the patch against ptlib 2.10.10 and compiled it with bison 2.7 without issue.

     
    • Thank you very much, I have applied the patch.

      Robert Jongbloed
      /OPAL/OpenH323/PTLib Architect and Co-founder./
      Commercial support at http://www.voxlucida.com.au

      On 6/02/2014 7:17 PM, Dan Fandrich wrote:

      I applied the patch against ptlib 2.10.10 and compiled it with bison
      2.7 without issue.


      [patches:#259] http://sourceforge.net/p/opalvoip/patches/259/ ptlib
      compile fix for Bison 3.0.2

      Status: open
      Created: Sun Dec 15, 2013 12:43 AM UTC by Dan Fandrich
      Last Updated: Thu Feb 06, 2014 05:02 AM UTC
      Owner: nobody

      The attached patch fixes the yyparse parameter compile issue on ptlib
      2.10.11 on Linux using Bison 3.0.2, without having to patch
      bison.simple (which, despite what it says in ReadMe.txt, doesn't even
      exist on Bison 3.0.2).


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/opalvoip/patches/259/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #259

      Attachments
    • status: open --> closed-accepted
     
  • Eugen Dedu
    Eugen Dedu
    2014-02-06

    I reverted your commit.